org.gnome.gtk

## Class PositionType

- Object
- - org.freedesktop.bindings.Constant
  - - org.gnome.gtk.PositionType

-     public final class PositionType
      extends org.freedesktop.bindings.Constant

  Which edge of a Widget an adornment is placed at. These constants are used by Scale and Notebook to specify where the value is located or where the tabs will be placed (see `setValuePosition()` and `setTabPosition()` respectively).
  Since:
    4.0.6
  Author:
    Andrew Cowie

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static PositionType` | `BOTTOM` Feature will be placed below the Widget.
    `static PositionType` | `LEFT` Feature will be placed to the left side of the Widget.
    `static PositionType` | `RIGHT` Feature will be placed to the right side of the Widget.
    `static PositionType` | `TOP` Feature will be placed above the Widget.

  - ### Method Summary

    - ### Methods inherited from class org.freedesktop.bindings.Constant

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### BOTTOM

          public static final PositionType BOTTOM

      Feature will be placed below the Widget.

    - #### LEFT

          public static final PositionType LEFT

      Feature will be placed to the left side of the Widget.

    - #### RIGHT

          public static final PositionType RIGHT

      Feature will be placed to the right side of the Widget.

    - #### TOP

          public static final PositionType TOP

      Feature will be placed above the Widget.